aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-03-28 23:51:45 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-03-28 23:51:45 +0000
commitcffd32540d159b842d414cab3f599b5e086254de (patch)
tree6834d5cf435455924103f8444a16c8deab966449
parent08d4ad1d60e8082c1a71864218bb1fbe75bfeb45 (diff)
downloadpaludis-cffd32540d159b842d414cab3f599b5e086254de.tar.gz
paludis-cffd32540d159b842d414cab3f599b5e086254de.tar.xz
Check that a Makefile is present before trying the emake -n trick
-rw-r--r--ebuild/src_test.bash10
1 files changed, 6 insertions, 4 deletions
diff --git a/ebuild/src_test.bash b/ebuild/src_test.bash
index 469ba2a..532c65c 100644
--- a/ebuild/src_test.bash
+++ b/ebuild/src_test.bash
@@ -23,10 +23,12 @@
src_test()
{
- if emake -j1 -n check &>/dev/null ; then
- emake -j1 check || die "make check failed"
- elif emake -j1 -n test &>/dev/null ; then
- emake -j1 test || die "make test failed"
+ if [[ -f Makefile ]] ; then
+ if emake -j1 -n check &>/dev/null ; then
+ emake -j1 check || die "make check failed"
+ elif emake -j1 -n test &>/dev/null ; then
+ emake -j1 test || die "make test failed"
+ fi
fi
}